[Bug 740846] Review Request: espresso - Extensible Simulation Package for Research on Soft matter

bugzilla at redhat.com bugzilla at redhat.com
Wed Oct 26 19:47:27 UTC 2011

Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug.


Jerry James <loganjerry at gmail.com> changed:

           What    |Removed                     |Added
             Status|NEW                         |ASSIGNED
                 CC|                            |loganjerry at gmail.com
         AssignedTo|nobody at fedoraproject.org    |loganjerry at gmail.com
               Flag|                            |fedora-review?

--- Comment #7 from Jerry James <loganjerry at gmail.com> 2011-10-26 15:47:26 EDT ---
Taking for review.  I notice that the output of configure shows a Tk version of
none.  If the Tk front-end is desirable, just adding --with-tk to each of the
%dconfigure_mpi invocations and Requiring tk-devel does the trick.  If not,
just ignore my pathetic attempt to be helpful. :-)

Attempting to install after building results in this error:

# rpm -i espresso-* ../noarch/espresso-common-3.0.2-1.fc15.noarch.rpm
error: Failed dependencies:
 /usr/bin/tclsh8.4 is needed by espresso-common-3.0.2-1.fc15.noarch

That's because tools/trace_memory.tcl starts with "#!/usr/bin/tclsh8.4", which
is the wrong version.  Adding this to %prep fixes the problem:

sed -i 's/tclsh8\.4/tclsh/' tools/trace_memory.tcl

Configure bugmail: https://bugzilla.redhat.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

More information about the package-review mailing list